#include "voiceform.h"
#include <KGlobal>
#include <KStandardDirs>

VoiceForm::VoiceForm(QWidget *parent) :
        QWidget(parent)
{
    m_ui.setupUi(this);
    m_ui.labelIcon->setPixmap(KIcon("help-hint").pixmap(64, 64));

    connect(m_ui.radioFestival, SIGNAL(clicked()), this, SLOT(changeCommandLine()));
    connect(m_ui.radioEspeak, SIGNAL(clicked()), this, SLOT(changeCommandLine()));
    connect(m_ui.radioCustom, SIGNAL(clicked()), this, SLOT(changeCommandLine()));

    checkProgram();


    changeCommandLine();
}



//=====================================================================
void VoiceForm::changeCommandLine(QString cmd)
{

    if (cmd != QString())
        m_ui.lineEditCommand->setText(cmd);

    if (m_ui.radioFestival->isChecked())
        m_ui.lineEditCommand->setText("echo '$RESULT'|festival --tts");

    if (m_ui.radioEspeak->isChecked())
        m_ui.lineEditCommand->setText("espeak '$RESULT'");

    if (m_ui.radioCustom->isChecked())
        m_ui.lineEditCommand->setText("");

}

//=====================================================================
void VoiceForm::checkProgram()
{

    if (!KStandardDirs::findExe("festival").isEmpty()) {
        m_ui.radioFestival->setEnabled(true);
        m_ui.labelFestival->setText(i18n("found"));
    }

    else {
        m_ui.labelFestival->setText(i18n("not found... please install it"));
        m_ui.radioFestival->setEnabled(false);
    }
    if (!KStandardDirs::findExe("espeak").isEmpty()) {
        m_ui.labelEspeak->setText(i18n("found"));
        m_ui.radioFestival->setEnabled(true);
    }

    else {
        m_ui.labelEspeak->setText(i18n("not found... please install it"));
        m_ui.radioEspeak->setEnabled(false);
    }
}
